PROGRAM FORCE_LOWER(INPUT, OUTPUT);

TYPE

VSTRING = VARYING [800] OF CHAR;

VAR

THE_STRING : VSTRING;
INSTRING_LENGTH , N : INTEGER;
		
BEGIN
WHILE NOT EOF DO
     BEGIN
     READLN(THE_STRING);
     INSTRING_LENGTH := LENGTH(THE_STRING);
     IF INSTRING_LENGTH > 0 THEN
	     FOR N := 1 TO INSTRING_LENGTH DO
		 IF (THE_STRING[N] >= 'A' ) AND (THE_STRING[N] <= 'Z' ) 
			THEN THE_STRING[N] := CHR( ORD(THE_STRING[N]) + 32);
     WRITELN(THE_STRING);
     END;
END.
